{
  "history": [
    {
      "id": "d8b839b6",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-08-08T18:11:23.756231Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 54448,
      "execution_time": null
    },
    {
      "id": "286de385",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-08-08T13:31:57.810744Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 63664,
      "execution_time": null
    },
    {
      "id": "19b3a39f",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-08-08T12:08:20.490182Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 66300,
      "execution_time": null
    },
    {
      "id": "23248897",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-08-07T16:29:51.631911Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 22124,
      "execution_time": null
    },
    {
      "id": "e8aa982b",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-29T16:05:04.334751Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 24560,
      "execution_time": null
    },
    {
      "id": "32f31000",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-28T11:07:27.240046Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 32692,
      "execution_time": null
    },
    {
      "id": "fc0a57b7",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-22T15:44:52.285146Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 19992,
      "execution_time": null
    },
    {
      "id": "d6c698e9",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-21T15:04:24.680517Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 30356,
      "execution_time": null
    },
    {
      "id": "98a1228a",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-18T15:21:08.672411Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 43768,
      "execution_time": null
    },
    {
      "id": "e2ab479e",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-17T11:55:05.330647Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 30736,
      "execution_time": null
    },
    {
      "id": "e7060cbc",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-15T12:44:13.087028Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 30804,
      "execution_time": null
    },
    {
      "id": "72f091cc",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-15T09:43:04.199490Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 14544,
      "execution_time": null
    },
    {
      "id": "5115260f",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-14T14:04:23.520003Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 39460,
      "execution_time": null
    },
    {
      "id": "8f721c30",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-07-14T10:11:20.750196Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 22396,
      "execution_time": null
    },
    {
      "id": "b321622a",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-15T18:19:14.681042Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 27400,
      "execution_time": null
    },
    {
      "id": "754d0df9",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-15T18:01:45.840069Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 38228,
      "execution_time": null
    },
    {
      "id": "15176a5f",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-13T10:53:37.648203Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 21072,
      "execution_time": null
    },
    {
      "id": "a599effd",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-12T19:59:02.082348Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 36824,
      "execution_time": null
    },
    {
      "id": "d722b721",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-12T09:27:11.172727Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 24964,
      "execution_time": null
    },
    {
      "id": "0a84ec87",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-12T09:24:00.527248Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 15548,
      "execution_time": null
    },
    {
      "id": "6297e689",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-12T09:16:08.148925Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 16892,
      "execution_time": null
    },
    {
      "id": "79f5a9e6",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-12T09:07:06.392550Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 45652,
      "execution_time": null
    },
    {
      "id": "22e264cd",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-12T09:07:06.280903Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 25984,
      "execution_time": null
    },
    {
      "id": "589be793",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-11T23:17:19.621521Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "success",
      "pid": 25652,
      "execution_time": 389.689278
    },
    {
      "id": "6ca3fbde",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-11T23:17:06.940558Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 29496,
      "execution_time": null
    },
    {
      "id": "6f646ca2",
      "group_id": "4",
      "script_name": "x1.py",
      "executed_date": "2025-06-11T23:16:59.013936Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Siemens/Tia Portal Utils",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "success",
      "pid": 38516,
      "execution_time": 3.471176
    },
    {
      "id": "88e35e8b",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-11T14:00:34.786377Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 404,
      "execution_time": null
    },
    {
      "id": "b373c77d",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-11T13:51:11.750064Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 24472,
      "execution_time": null
    },
    {
      "id": "455a8271",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-10T15:45:56.713179Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 16480,
      "execution_time": null
    },
    {
      "id": "a8b813b0",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-10T15:40:39.728099Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 36640,
      "execution_time": null
    },
    {
      "id": "7924a173",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-10T15:36:55.303738Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 15144,
      "execution_time": null
    },
    {
      "id": "c3796f4e",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-10T15:36:18.822898Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 30656,
      "execution_time": null
    },
    {
      "id": "1040f2b6",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-10T11:03:59.233659Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 26152,
      "execution_time": null
    },
    {
      "id": "6d4e8908",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T19:00:05.863426Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 14212,
      "execution_time": null
    },
    {
      "id": "bc11fb82",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T18:55:33.372642Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 30456,
      "execution_time": null
    },
    {
      "id": "7dda414a",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T18:55:25.022607Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 31800,
      "execution_time": null
    },
    {
      "id": "ca0fdba4",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T18:55:20.165639Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 27436,
      "execution_time": null
    },
    {
      "id": "8eeccfaf",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T18:36:56.208761Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 11436,
      "execution_time": null
    },
    {
      "id": "be30fe5c",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-05T11:40:29.568449Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 34348,
      "execution_time": null
    },
    {
      "id": "de046db1",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-04T22:07:51.493125Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "success",
      "pid": 20460,
      "execution_time": 37.787662
    },
    {
      "id": "76b18be0",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-04T22:06:04.365756Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 1036,
      "execution_time": null
    },
    {
      "id": "d3ad9738",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-04T18:56:27.720254Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 43496,
      "execution_time": null
    },
    {
      "id": "b7796abb",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-04T18:56:17.950282Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "success",
      "pid": 36312,
      "execution_time": 8.35251
    },
    {
      "id": "c29e9b02",
      "group_id": "2",
      "script_name": "main.py",
      "executed_date": "2025-06-04T12:20:30.402310Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/RS485/MaselliSimulatorApp",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 31416,
      "execution_time": null
    },
    {
      "id": "2a2caf05",
      "group_id": "1",
      "script_name": "test_symbolic.py",
      "executed_date": "2025-06-04T11:15:06.230442Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "success",
      "pid": 15052,
      "execution_time": 3.768344
    },
    {
      "id": "5e008836",
      "group_id": "1",
      "script_name": "test_symbolic.py",
      "executed_date": "2025-06-04T11:15:00.297979Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "pythonw.exe",
      "status": "running",
      "pid": 47804,
      "execution_time": null
    },
    {
      "id": "b7b7f4da",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-04T11:13:44.475321Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "error",
      "pid": 41924,
      "execution_time": 27.585175
    },
    {
      "id": "a8bf1045",
      "group_id": "1",
      "script_name": "calc.py",
      "executed_date": "2025-06-04T11:13:24.997521Z",
      "arguments": [],
      "working_directory": "D:/Proyectos/Scripts/Calcv2",
      "python_env": "tia_scripting",
      "executable_type": "python.exe",
      "status": "error",
      "pid": 29848,
      "execution_time": 8.158545
    }
  ],
  "settings": {
    "max_entries": 100,
    "auto_cleanup_days": 30,
    "track_execution_time": true,
    "track_arguments": true
  }
}